## com.imcode.imcms.mapping
Class FragmentingDocumentGetter

    java.lang.Object
      com.imcode.imcms.mapping.DocumentGetterWrapper
          com.imcode.imcms.mapping.FragmentingDocumentGetter

All Implemented Interfaces:
  DocumentGetter

    public class FragmentingDocumentGetter

extends DocumentGetterWrapper

Constructor Summary
`FragmentingDocumentGetter(DocumentGetter documentGetter)`

Method Summary
`java.util.List` `getDocuments(java.util.Collection documentIds)` Return a list of published documents in the same order as the documentIds

Methods inherited from class com.imcode.imcms.mapping.DocumentGetterWrapper
`getDocument, getDocument, getWorkingDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FragmentingDocumentGetter

    public FragmentingDocumentGetter(DocumentGetter documentGetter)

Method Detail

### getDocuments

    public java.util.List getDocuments(java.util.Collection documentIds)

  Description copied from interface: `DocumentGetter`
  Return a list of published documents in the same order as the documentIds

  Specified by:
    `getDocuments` in interface `DocumentGetter`
  Overrides:
    `getDocuments` in class `DocumentGetterWrapper`